declare type Flag = {
    flag: string;
    default: string;
    description?: string;
};
declare type CommandConfig = {
    command: string;
    action: (flags: Flag[]) => Promise<void>;
    flags: Flag[];
    description?: string;
};
export declare function addCommand(config: CommandConfig): void;
export declare function runProgram(): void;
export declare function print(text: string): void;
export declare function makeGreenText(x: string): string;
export declare function makeBlueText(x: string): string;
export declare function makeRedText(x: string): string;
export declare function makeDimText(text: string): string;
export declare function setTextWidth(text: string, length: number): string;
export declare function printInfoMessage(text: string): void;
export declare function printSuccessMessage(text: string): void;
export declare function printErrorMessage(text: string): void;
export declare function clear(): void;
export declare function hideCursor(): void;
export declare function showCursor(): void;
export declare function startLoadingMessage(text: string): void;
export declare function endLoadingMessage(): void;
export {};
